## kernel-handbook 1.0.9

=== Makefile ===
version := 1.0.9
date    := $(shell date)

all: version.ent
	debiandoc2html kernel-handbook.sgml

clean:
	rm -rf kernel-handbook.html

version.ent: FORCE
	if [ "$(version)" !=						   \
	     "$$(sed 's/<!entity version "\(.*\)">/\1/; t; d' $@)" ]; then \
		rm -f $@ &&						   \
		echo "<!entity version \"$(version)\">"	>> $@ &&	   \
		echo "<!entity date    \"$(date)\">"    >> $@;		   \
	fi

sync:
	rsync -v -e ssh --chmod=a+rX --times kernel-handbook.html/* alioth.debian.org:/var/lib/gforge/chroot/home/groups/kernel-handbook/htdocs/

.PHONY: all sync FORCE

=== debian/changelog ===
kernel-handbook (1.0.9) unstable; urgency=low

  * Initial upload to Debian archive - closes: #604713

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 23 Nov 2010 18:08:23 +0000

=== debian/control ===
Source: kernel-handbook
Section: doc
Priority: extra
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Uploaders: Ben Hutchings <ben@decadent.org.uk>, maximilian attems <maks@debian.org>
Build-Depends: debhelper (>= 7.0.50~), debiandoc-sgml
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/kernel-handbook/trunk
Vcs-Browser: http://svn.debian.org/wsvn/kernel-handbook/trunk/

Package: debian-kernel-handbook
Architecture: all
Depends: ${misc:Depends}
Recommends: www-browser
Description: reference to Debian Linux kernel packages and development
 A reference manual for:
 .
  * Working on the linux-2.6 package
  * Building custom kernels and modules
  * Working with initramfs images
  * Kernel team policies

## kernel-handbook 1.0.11

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version := 1.0.9
+version := 1.0.11
 date    := $(shell date)
 
 all: version.ent

=== debian/changelog ===
kernel-handbook (1.0.11) unstable; urgency=low

  * Remove description of yaird and comparison with initramfs-tools
  * Mention dracut as an experimental initramfs generator
  * Explain how to build a linux-headers-common package, thanks to
    Faheem Mitha
  * Reword a few paragraphs in common-tasks, thanks to Karl Goetz
  * Bump copyright year for 2011, thanks to Jonathan Nieder
  * Refer to git repository, replacing the old svn repository
    (Closes: #627835)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 01 Jul 2011 05:01:59 +0100

kernel-handbook (1.0.10) unstable; urgency=low

  * Explain how to override official kernel configuration and change
    the ABI name, based in part on text by Faheem Mitha
  * Explain the differences between upstream versions, package versions
    and kernel versions
  * Move 'simplified patching and building' instructions up, since most
    users should be able to follow these

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 26 Apr 2011 14:51:12 +0100

## kernel-handbook 1.0.12

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version := 1.0.11
+version := 1.0.12
 date    := $(shell date)
 
 all: version.ent

=== debian/changelog ===
kernel-handbook (1.0.12) unstable; urgency=low

  * Update reference to svn://svn.debian.org; the hostname for
    anonymous access is now anonscm.debian.org
  * Update the description of version formats for 3.x

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 28 Sep 2011 15:38:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Uploaders: Ben Hutchings <ben@decadent.org.uk>, maximilian attems <maks@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), debiandoc-sgml
 Standards-Version: 3.9.1
-Vcs-Svn: svn://svn.debian.org/svn/kernel-handbook/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/kernel-handbook/trunk/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=kernel-handbook/kernel-handbook.git
 
 Package: debian-kernel-handbook
 Architecture: all

## kernel-handbook 1.0.13

=== debian/changelog ===
kernel-handbook (1.0.13) unstable; urgency=low

  * Note that removed firmware is still packaged; suggested by Karl Goetz
  * Remove documentation of linux-tree package, removed in squeeze
  * Remove documentation of linux-patch-debian package, obsoleted by
    packaging changes and redundant with snapshot.debian.org
  * Remove documentation of version-specific /etc/modules files, which are
    no longer supported
  * Use 3.x version numbers and current flavour and featureset names in
    examples
  * Refer to the linux source package rather than linux-2.6
  * Remove outdated advice to try disabling ACPI and IRQ routing options
  * Remove an unnecessary version qualification
  * Update explanation of source directories for quilted linux package
  * Update example orig tarball names to indicate xz compression
  * Update hooks policy description
    - Debian 6.0 release is now in the past
    - initramfs-tools is no longer special
    - squeeze+1 has a name and number
  * Note that official Linux kernel packages will use only 2 version
    components in wheezy+1

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 17 Jun 2012 06:03:58 +0100

## kernel-handbook 1.0.15

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version := 1.0.12
+version := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
 date    := $(shell date)
 
 all: version.ent

=== debian/changelog ===
kernel-handbook (1.0.15) unstable; urgency=low

  [ Jonathan Nieder ]
  * Fix capitalization in "Applying patches or configuration changes"
    section
  * Add a reminder to disable CONFIG_DEBUG_INFO in 'make deb-pkg' examples

  [ Ben Hutchings ]
  * Work around debiandoc-sgml bug (#685046) to fix the 'current bug list'
    link in the 'Filing a bug against a kernel package' section

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 17 Aug 2012 02:10:14 +0100

kernel-handbook (1.0.14) unstable; urgency=low

  [ Ben Hutchings ]
  * Remove custom version from 'make deb-pkg' example (Closes: #627838)
  * Fix introduction to say the handbook describes wheezy (Closes: #651467)
  * Add a section on disk space requirements for the official'linux' package
    (Closes: #681550)
  * Add Vcs-Git control field (Closes: #638479)
  * Mark as capable of satisfying relations from foreign packages
    (Multi-Arch: foreign) (Closes: #679204)
  * Add example of using lsinitramfs command (Closes: #639846)
  * Fix reference to linux-2.6 in package description

  [ Jonathan Nieder ]
  * Explain how to narrow the regression window with "git bisect"
    when filing bugs (Closes: #627960)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 21 Jul 2012 22:15:36 +0100

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,17 @@
 Build-Depends: debhelper (>= 7.0.50~), debiandoc-sgml
 Standards-Version: 3.9.1
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=kernel-handbook/kernel-handbook.git
+Vcs-Git: git://anonscm.debian.org/kernel-handbook/kernel-handbook.git
 
 Package: debian-kernel-handbook
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: www-browser
 Description: reference to Debian Linux kernel packages and development
  A reference manual for:
  .
-  * Working on the linux-2.6 package
+  * Working on the linux package
   * Building custom kernels and modules
   * Working with initramfs images
   * Kernel team policies

## kernel-handbook 1.0.16

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,25 @@
 version := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
 date    := $(shell date)
 
-all: version.ent
+LANG_PO := ja
+LANG_EN := en
+LANGS := $(LANG_EN) $(LANG_PO)
+
+all: version.ent $(LANGS)
+
+en:
 	debiandoc2html kernel-handbook.sgml
+
+ja:
+	po4a-translate -L EUC-JP -f sgml -m kernel-handbook.sgml -p po4a/kernel-handbook.ja.po -l kernel-handbook.ja.sgml
+	debiandoc2html -lja_JP.eucJP kernel-handbook.ja.sgml
 
 clean:
 	rm -rf kernel-handbook.html
+	$(foreach lng,$(LANGS), \
+		rm -rf kernel-handbook.$(lng).html; \
+		rm -rf kernel-handbook.$(lng).sgml; \
+	)
 
 version.ent: FORCE
 	if [ "$(version)" !=						   \
@@ -18,4 +32,9 @@
 sync:
 	rsync -v -e ssh --chmod=a+rX --times kernel-handbook.html/* alioth.debian.org:/var/lib/gforge/chroot/home/groups/kernel-handbook/htdocs/
 
+po-update:
+	$(foreach lng,$(LANG_PO), \
+	po4a-updatepo -f sgml -m kernel-handbook.sgml -p po4a/kernel-handbook.$(lng).po; \
+	)
+
 .PHONY: all sync FORCE

=== debian/changelog ===
kernel-handbook (1.0.16) unstable; urgency=low

  [ Uwe Kleine-König ]
  * Adapt integrity checking to kernel.org only providing signatures for
    uncompressed archives

  [ Ben Hutchings ]
  * Correct order of preparation for rebuilding official Debian kernel packages
  * Update "Building a development version of the Debian kernel package" for
    conversion to git

  [ Ian Campbell ]
  * Mention unifdef as a dependency for genorig

  [ Yusuke YATSUO ]
  * Add Japanese translation (debian-kernel-handbook-ja)

 -- Ben Hutchings <ben@decadent.org.uk>  Fri, 14 Aug 2015 12:53:06 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <ben@decadent.org.uk>, maximilian attems <maks@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), debiandoc-sgml
+Build-Depends: debhelper (>= 7.0.50~), debiandoc-sgml, po4a
 Standards-Version: 3.9.1
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=kernel-handbook/kernel-handbook.git
 Vcs-Git: git://anonscm.debian.org/kernel-handbook/kernel-handbook.git
@@ -20,3 +20,19 @@
   * Building custom kernels and modules
   * Working with initramfs images
   * Kernel team policies
+
+Package: debian-kernel-handbook-ja
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Recommends: www-browser
+Description: reference to Debian Linux kernel packages and development (Japanese)
+ A reference manual for:
+ .
+  * Working on the linux package
+  * Building custom kernels and modules
+  * Working with initramfs images
+  * Kernel team policies
+ .
+ This is Japanese translation.
+

## kernel-handbook 1.0.17

=== Makefile ===
version := $(shell dpkg-parsechangelog -SVersion)
date    := $(shell date -d "$$(dpkg-parsechangelog -SDate)")

LANG_PO := ja
LANG_EN := en
LANGS := $(LANG_EN) $(LANG_PO)

SOURCES := kernel-handbook.dbk $(wildcard chapter-*.dbk)

# Ensure xmlto uses UTF-8 and not numbered entities
unexport LC_ALL
export LC_CTYPE=C.UTF-8

all: version.ent $(LANGS)

en:
	xmlto -o kernel-handbook.html -m stylesheet.xsl html kernel-handbook.dbk

ja:
	mkdir -p kernel-handbook.ja.dbk
	ln -sf ../version.ent kernel-handbook.ja.dbk/
	for src in $(SOURCES); do \
		po4a-translate -f docbook -m "$$src" -p po4a/kernel-handbook.ja.po -l kernel-handbook.ja.dbk/"$$src" || exit; \
	done
	xmlto -o kernel-handbook.ja.html -m stylesheet.xsl html kernel-handbook.ja.dbk/kernel-handbook.dbk

clean:
	rm -rf kernel-handbook.html
	$(foreach lng,$(LANGS), \
		rm -rf kernel-handbook.$(lng).html; \
		rm -rf kernel-handbook.$(lng).dbk; \
	)
	rm -rf pub

version.ent: FORCE
	if [ "$(date)" !=						   \
	     "$$(sed 's/<!ENTITY date *"\(.*\)">/\1/; t; d' $@)" ]; then   \
		rm -f $@ &&						   \
		echo "<!ENTITY version \"$(version)\">"	>> $@ &&	   \
		echo "<!ENTITY date    \"$(date)\">"    >> $@;		   \
	fi

sync:
	mkdir -p pub
	rm -f pub/*
	cp htaccess pub/.htaccess
	$(foreach lng,$(LANGS), \
	for html in kernel-handbook$(subst .en,,.$(lng)).html/*.html; do \
		ln -s ../$$html pub/$$(basename $$html).$(lng); \
	done; \
	echo 'AddLanguage $(lng) .$(lng)' >>pub/.htaccess; \
	)
	rsync -v -e ssh --chmod=a+rX --times --omit-dir-times --recursive \
		--copy-links --delete pub/ \
		alioth.debian.org:/var/lib/gforge/chroot/home/groups/kernel-handbook/htdocs/

po-update:
	$(foreach lng,$(LANG_PO), \
	po4a-updatepo -f docbook $(patsubst %,-m %,$(SOURCES)) -p po4a/kernel-handbook.$(lng).po; \
	)

.PHONY: all sync FORCE

=== debian/changelog ===
kernel-handbook (1.0.17) unstable; urgency=medium

  * debian/control: Change Vcs-Git and Vcs-Browser to canonical HTTP-S URLs
  * debian/copyright: Change URL for GPL text to use HTTP-S
  * Remove 'python' from genorig.py command lines, as this is not needed
    and is incorrect since it now needs Python 3
  * Use changelog date as document date
  * Convert all source files to DocBook format
    - Makefile,debian/control: Use xmlto to build from DocBook
    - Update Japanese translation for the format conversion
    - Use a richer set of markup elements
  * Remove statement that the final '.0' will be removed from upstream versions
  * Update 'Linus version format' to begin with 4
  * Remove references to Debian 6.0 and earlier releases, and the linux-2.6
    source package
  * Change examples to use xz compressed files with recent versions,
    instead of older bzip2 compressed files
  * Change links to use HTTP-S where possible
  * Update scope to say we're describing Debian 7 onward
  * Update copyright dates
  * Update description of modprobe configuration files
  * Suggest 'make nconfig' for configuring upstream source

 -- Ben Hutchings <ben@decadent.org.uk>  Mon, 07 Mar 2016 02:08:15 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: extra
 Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <ben@decadent.org.uk>, maximilian attems <maks@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), debiandoc-sgml, po4a
+Build-Depends: debhelper (>= 7.0.50~), xmlto, po4a
 Standards-Version: 3.9.1
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=kernel-handbook/kernel-handbook.git
-Vcs-Git: git://anonscm.debian.org/kernel-handbook/kernel-handbook.git
+Vcs-Browser: https://anonscm.debian.org/cgit/kernel-handbook/kernel-handbook.git
+Vcs-Git: https://anonscm.debian.org/git/kernel-handbook/kernel-handbook.git
 
 Package: debian-kernel-handbook
 Architecture: all

## kernel-handbook 1.0.18

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 	mkdir -p kernel-handbook.ja.dbk
 	ln -sf ../version.ent kernel-handbook.ja.dbk/
 	for src in $(SOURCES); do \
-		po4a-translate -f docbook -m "$$src" -p po4a/kernel-handbook.ja.po -l kernel-handbook.ja.dbk/"$$src" || exit; \
+		po4a-translate -f docbook -m "$$src" -p po4a/kernel-handbook.ja.po -k 0 -l kernel-handbook.ja.dbk/"$$src" || exit; \
 	done
 	xmlto -o kernel-handbook.ja.html -m stylesheet.xsl html kernel-handbook.ja.dbk/kernel-handbook.dbk

=== debian/changelog ===
kernel-handbook (1.0.18) unstable; urgency=medium

  * Fix spelling errors "neccessary" and "priviliged" (Closes: #818577)
  * Delete obsolete mention of rebuilding the linux-base package from
    "Simple patching and building"
  * Update "Disk space requirements" to reflect that debug info is enabled by
    default
  * Remove mention of the "new packaging scheme" that is now 11 years old
  * Correct description of meta-packages in "Debian kernel packages" chapter
  * Add linux-signed and linux-image-*-unsigned to "Debian kernel packages"
    chapter
  * Update a list of i386 flavours
  * Correct the description of linux-support packages
  * Describe linux-headers-*-common* as architecture-independent
  * Disable po4a-translate's check for minimum translation percentage
  * Use debhelper compatibility level 9
  * debian/control: Update Standards-Version to 3.9.8; no changes needed
  * Update copyright dates

 -- Ben Hutchings <ben@decadent.org.uk>  Tue, 17 Jan 2017 21:14:32 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <ben@decadent.org.uk>, maximilian attems <maks@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), xmlto, po4a
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), xmlto, po4a
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/kernel-handbook/kernel-handbook.git
 Vcs-Git: https://anonscm.debian.org/git/kernel-handbook/kernel-handbook.git

## kernel-handbook 1.0.19

=== Makefile ===
ifneq ($(shell dpkg-parsechangelog -SDistribution),UNRELEASED)
# Use changelog version and date for a release
version := $(shell dpkg-parsechangelog -SVersion)
date    := $(shell LC_ALL=C date -u -d "$$(dpkg-parsechangelog -SDate)")
else
# Use git commit description and date otherwise
version := $(shell git describe)
date    := $(shell LC_ALL=C date -u -d "@$$(git log --pretty='%cd' --date=unix HEAD -1)")
endif

LANG_PO := ja
LANG_EN := en
LANGS := $(LANG_EN) $(LANG_PO)

DOCBOOK_SOURCES := kernel-handbook.dbk $(wildcard chapter-*.dbk)
SOURCES := $(DOCBOOK_SOURCES) stylesheet.xsl version.ent

# Ensure xmlto uses UTF-8 and not numbered entities
unexport LC_ALL
export LC_CTYPE=C.UTF-8

all: $(patsubst %,stamps/build-%,$(LANGS))

stamps/build-en: $(SOURCES)
	xmlto -o kernel-handbook.html -m stylesheet.xsl html kernel-handbook.dbk
	mkdir -p $(@D)
	touch $@

stamps/build-ja: $(SOURCES) po4a/kernel-handbook.ja.po
	mkdir -p kernel-handbook.ja.dbk
	ln -sf ../version.ent kernel-handbook.ja.dbk/
	for src in $(DOCBOOK_SOURCES); do \
		po4a-translate -f docbook -m "$$src" -p po4a/kernel-handbook.ja.po -k 0 -l kernel-handbook.ja.dbk/"$$src" || exit; \
	done
	xmlto -o kernel-handbook.ja.html -m stylesheet.xsl html kernel-handbook.ja.dbk/kernel-handbook.dbk
	mkdir -p $(@D)
	touch $@

clean:
	rm -rf kernel-handbook.html
	$(foreach lng,$(LANGS), \
		rm -rf kernel-handbook.$(lng).html; \
		rm -rf kernel-handbook.$(lng).dbk; \
	)
	rm -rf pub stamps
	rm -f version.ent

version.ent: FORCE
	if [ "$(version)" !=						   \
	     "$$(sed 's/<!ENTITY version *"\(.*\)">/\1/; t; d' $@)" ]; then \
		rm -f $@ &&						   \
		echo "<!ENTITY version \"$(version)\">"	>> $@ &&	   \
		echo "<!ENTITY date    \"$(date)\">"    >> $@;		   \
	fi

sync: all
	git diff --quiet HEAD ||					\
	{ echo >&2 "E: Working tree has uncommitted changes"; exit 1; }
	status="$$(git status -b --porcelain)";				\
	[ "$${status%\?\? *}" = "$$status" ] ||				\
	{ echo >&2 "E: Working tree has files that are untracked and not ignored"; exit 1; }; \
	head="$${status#\#\# }";						\
	[ "$${head%...*}" = master ] || 					\
	{ echo >&2 "E: You should only sync from the master branch"; exit 1; }
	git checkout -B pages
	rm -rf public
	cp -R kernel-handbook.html public
	git add -f public
	git commit -m "Add HTML output"
	git push -f origin pages
	git checkout master

po-update:
	$(foreach lng,$(LANG_PO), \
	po4a-updatepo -f docbook $(patsubst %,-m %,$(DOCBOOK_SOURCES)) -p po4a/kernel-handbook.$(lng).po; \
	)

.PHONY: all clean po-update sync FORCE

=== debian/changelog ===
kernel-handbook (1.0.19) unstable; urgency=medium

  * Point all project/Vcs URLs to Salsa
  * Direct contributions to the debian-kernel mailing list
  * Move web site to Gitlab Pages
    - This limits it to be English only for now
  * Update URL in "Building a development version of the Debian kernel package"
    to point to Salsa
  * Makefile: Always use UTC in document date
  * Remove version.ent from version control, since it can always be
    regenerated
  * Makefile: Use git commit metadata when building from an unreleased version
  * Makefile: Mark clean and po-update as phony targets
  * Makefile: Add missing dependencies to sync and language targets
  * Makefile: Use stamp files to avoid unnecessary rebuilding
  * Remove redundant text in "Building a custom kernel from the "pristine"
    kernel source", and refer to the previous section instead
  * Improve explanation of how to generate the kernel configuration
  * Note the need to change module signing options when reusing Debian
    kernel config
  * Update disk space requirements for rebuilding official Debian kernel
    packages
  * debian/copyright: Convert to machine-readable copyright format 1.0
  * Makefile: Fix locale in document date to make it reproducible,
    thanks to Eduard Sanou (Closes: #830922)
  * debian/control: Update Standards-Version to 4.1.5:
    - Set Priority: optional
    - Set Rules-Requires-Root: no
  * Update the filename where debug-info is enabled in the linux package
    (Closes: #874635)
  * Use debhelper compatibility level 11

 -- Ben Hutchings <ben@decadent.org.uk>  Wed, 25 Jul 2018 11:34:05 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: kernel-handbook
 Section: doc
-Priority: extra
+Priority: optional
 Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Uploaders: Ben Hutchings <ben@decadent.org.uk>, maximilian attems <maks@debian.org>
-Build-Depends: debhelper (>= 9), xmlto, po4a
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/kernel-handbook/kernel-handbook.git
-Vcs-Git: https://anonscm.debian.org/git/kernel-handbook/kernel-handbook.git
+Build-Depends: debhelper (>= 11), xmlto, po4a
+Rules-Requires-Root: no
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/kernel-team/kernel-handbook
+Vcs-Git: https://salsa.debian.org/kernel-team/kernel-handbook.git
 
 Package: debian-kernel-handbook
 Architecture: all

## kernel-handbook 1.0.20

=== debian/changelog ===
kernel-handbook (1.0.20) unstable; urgency=medium

  [ Tomasz Warniełło ]
  * Update Debian version in scope to 10

  [ Ben Hutchings ]
  * Update links to {net,serial} console documentation on www.kernel.org
  * Correct the filenames where debug-info is enabled in the linux package
  * Link to lore.kernel.org as preferred mail archive
  * Makefile: Update name of public pages directory in clean rule
  * Makefile: Generate Git version in a way that works with GitLab CI variables
  * d/salsa-ci.yml: Add CI configuration for salsa.debian.org
  * Makefile, d/salsa-ci.yml: Move pages update to CI
  * Change URL for kernel Git repository to use HTTP-S
  * Fix a plaintext HTTP URL in the Japanese translation
  * Change bisection instructions to include verifying upstream Git tags
    (Closes: #958559)
  * Change custom package building examples to use the bindeb-pkg target
  * Remove documentation of genorig.py's obsolete, insecure tarball support
  * Add new build-dependencies to bisection instructions
  * Refer to libncurses-dev instead of the now-transitional libncurses5-dev
  * Capitalise "Git" outside of command and package names
  * Update copyright dates
  * Fix reference to GRUB documentation, and drop reference to LILO
  * Remove long-outdated reference to binary module packages in the archive
  * Replace the long explanation of using module-assistant with just "m-a a-i"
  * Document explicitly how to install module-assistant
  * Introduce subsections for OOT builds with and without module-assistant
  * Document DKMS as the preferred method for OOT module builds
  * Briefly document interaction of Secure Boot with OOT modules
  * State that Salsa merge requests are now the preferred way to contribute
  * Include all authors in the contributor list
  * Revise the bug handling policy:
    - Remove reference to defunct kerneloops.org site
    - Remove mention of maintainers analysing oopses
    - Refer to bug trackers generally, not specifically bugzilla.kernel.org
    - Mention mail archives as possible existing upstream references
    - Document when and where a maintainer or submitter should report upstream
  * Makefile: Generalise translated build target
  * Disable building of Japanese translation since it is now very incomplete

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Ben Hutchings <benh@debian.org>  Mon, 03 Oct 2022 01:56:35 +0200

## kernel-handbook 1.0.21

=== Makefile ===
ifneq ($(shell dpkg-parsechangelog -SDistribution),UNRELEASED)
# Use changelog version and date for a release
version := $(shell dpkg-parsechangelog -SVersion)
date    := $(shell dpkg-parsechangelog -SDate)
else
# Use git commit hash and date otherwise
date    := $(if $(CI_COMMIT_TIMESTAMP),$(CI_COMMIT_TIMESTAMP),@$(shell git log --pretty='%cd' --date=unix HEAD -1))
commit  := $(if $(CI_COMMIT_SHA),$(shell printf '%.7s' '$(CI_COMMIT_SHA)'),$(shell git rev-parse --short=7 HEAD))
version := $(shell dpkg-parsechangelog -SVersion -o1 -c1)+git$(shell LC_ALL=C date -u -d '$(date)' +%Y%m%d).$(commit)
endif
# Convert date to fixed format
date    := $(shell LC_ALL=C date -u -d '$(date)')

#LANG_PO := ja
LANG_PO :=
LANG_EN := en
LANGS := $(LANG_EN) $(LANG_PO)

DOCBOOK_SOURCES := kernel-handbook.dbk $(wildcard chapter-*.dbk)
SOURCES := $(DOCBOOK_SOURCES) stylesheet.xsl version.ent

# Ensure xmlto uses UTF-8 and not numbered entities
unexport LC_ALL
export LC_CTYPE=C.UTF-8

all: $(patsubst %,stamps/build-%,$(LANGS))

stamps/build-en: $(SOURCES)
	xmlto -o kernel-handbook.html -m stylesheet.xsl html kernel-handbook.dbk
	mkdir -p $(@D)
	touch $@

stamps/build-%: $(SOURCES) po4a/kernel-handbook.%.po
	mkdir -p kernel-handbook.$*.dbk
	ln -sf ../version.ent kernel-handbook.$*.dbk/
	for src in $(DOCBOOK_SOURCES); do \
		po4a-translate -f docbook -m "$$src" -p po4a/kernel-handbook.$*.po -k 0 -l kernel-handbook.$*.dbk/"$$src" || exit; \
	done
	xmlto -o kernel-handbook.$*.html -m stylesheet.xsl html kernel-handbook.$*.dbk/kernel-handbook.dbk
	mkdir -p $(@D)
	touch $@

clean:
	rm -rf kernel-handbook.html
	$(foreach lng,$(LANGS), \
		rm -rf kernel-handbook.$(lng).html; \
		rm -rf kernel-handbook.$(lng).dbk; \
	)
	rm -rf stamps
	rm -f version.ent

version.ent: FORCE
	if [ "$(version)" !=						   \
	     "$$(sed 's/<!ENTITY version *"\(.*\)">/\1/; t; d' $@)" ]; then \
		rm -f $@ &&						   \
		echo "<!ENTITY version \"$(version)\">"	>> $@ &&	   \
		echo "<!ENTITY date    \"$(date)\">"    >> $@;		   \
	fi

po-update:
	$(foreach lng,$(LANG_PO), \
	po4a-updatepo -f docbook $(patsubst %,-m %,$(DOCBOOK_SOURCES)) -p po4a/kernel-handbook.$(lng).po; \
	)

.PHONY: all clean po-update FORCE

=== debian/changelog ===
kernel-handbook (1.0.21) unstable; urgency=medium

  * Try to reduce pain points in rebuilding official kernel packages
    (Closes: #1022061):
    - Reorder sections in "Common kernel-related tasks" to reduce confusion
    - Deprecate older versions of test-patches
    - Recommend changing ABI name before rebuilding
    - Add command to enable parallel builds when invoking make directly
    - Avoid using fakeroot
  * Remove obsolete text referring to "patchlevels" in source packages
  * Remove redundant "bash" from debian/bin/test-patches command lines
  * Update instructions for disabling debug info (Closes: #1023773)
  * Update instructions for building linux-headers-common package
  * Update copyright years

 -- Ben Hutchings <benh@debian.org>  Mon, 08 May 2023 23:17:30 +0200

=== debian/control ===
Source: kernel-handbook
Section: doc
Priority: optional
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Uploaders: Ben Hutchings <ben@decadent.org.uk>, maximilian attems <maks@debian.org>
Build-Depends: debhelper-compat (= 12), xmlto, po4a
Rules-Requires-Root: no
Standards-Version: 4.1.5
Vcs-Browser: https://salsa.debian.org/kernel-team/kernel-handbook
Vcs-Git: https://salsa.debian.org/kernel-team/kernel-handbook.git

Package: debian-kernel-handbook
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: www-browser
Description: reference to Debian Linux kernel packages and development
 A reference manual for:
 .
  * Working on the linux package
  * Building custom kernels and modules
  * Working with initramfs images
  * Kernel team policies

#Package: debian-kernel-handbook-ja
#Architecture: all
#Multi-Arch: foreign
#Depends: ${misc:Depends}
#Recommends: www-browser
#Description: reference to Debian Linux kernel packages and development (Japanese)
# A reference manual for:
# .
#  * Working on the linux package
#  * Building custom kernels and modules
#  * Working with initramfs images
#  * Kernel team policies
# .
# This is Japanese translation.

## kernel-handbook 1.0.21build1

=== debian/changelog ===
kernel-handbook (1.0.21build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 15 Dec 2025 21:25:52 +0000
